Bug 232155 - silent crashes.
silent crashes.
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-13 20:24 EDT by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 09:22:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-03-13 20:24:21 EDT
About once a month, bind crashes on my home gateway.  I can't provide any
further details than this because there's nothing in the logs, and no core dump
anywhere (possibly because its running inside the chroot ?)

The symptom is that it just stops running for no apparent reason.

Any ideas how I can debug this?
Comment 1 Adam Tkac 2007-03-14 05:18:24 EDT
Hm, it isn't easy to debugging. Best way I think could be increase named's debug
level (-d option, number about 20) and move named out from chroot and run it
with selinux protection (selinux protection is more secure than chroot). Outsite
of chroot we could get core dump and find where problem is.. Tell me your decision.

Adam
Comment 2 Dave Jones 2007-03-14 09:12:04 EDT
I added -d 20 to the init script, is there a toggle in a config file somewhere
to disable the chroot stuff ?
Comment 3 Dave Jones 2007-03-14 09:22:34 EDT
never mind, I figured it out, I removed it -t from the command line.
Seems to be working for now. I'll open up another bug if it crashes some time.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.